#include "combat.h"
#include "messages.h"
#include "misc.h"
#include "monster.h"
#include "player.h"

char *attackname[]=
{ "",
  "claw",
  "hit",
  "bite"
};

static void kill(monster *mn)
{ pline("%s fall%s dead! What a jerk!", Monname(mn), mn==&you?"":"s");

  if(mn==&you) return;

  removemonster(mn);
  zfree(mn);
}

void attack(monster *source, monster *dest)
{ int i;

  for(i=0; i<6; i++)
  { int type=monlist[source->type].attacks[i];
    if(!type) continue;
    if(randint(source->dexterity)*2<randint(dest->dexterity))
    { pline("%s miss%s %s!", Monname(source), source==&you?"":"es",
                             monname(dest));
      continue;
    }
    dest->hp--;
    pline("%s %s%s %s!", Monname(source), attackname[type],
                         source==&you?"":"s", monname(dest));
    if(dest->hp<1) kill(dest);
  }
}
