#include "colors.h"
#include "io.h"

char screen[SCREEN_WIDTH][SCREEN_HEIGHT][2];

#ifdef DJGPP
#include <conio.h> /* for getch() */
#include <go32.h>  /* for dosmemput() */
#include <pc.h>    /* for ScreenSetCursor() */

void initio()
{ int i, j;

  _set_screen_lines(SCREEN_HEIGHT);
  for(i=0; i<SCREEN_WIDTH; i++)
    for(j=0; j<SCREEN_HEIGHT; j++)
    { screen[i][j][0]=' ';
      screen[i][j][1]=LIGHTGREY;
    }
}

void updatescreen()
{ static char buf[SCREEN_WIDTH*SCREEN_HEIGHT*2];
  int i, j;

  for(i=0; i<SCREEN_WIDTH; i++)
    for(j=0; j<SCREEN_HEIGHT; j++)
    { buf[j*SCREEN_WIDTH*2+i*2]=screen[i][j][0];
      buf[j*SCREEN_WIDTH*2+i*2+1]=screen[i][j][1];
    }

  dosmemput(buf, SCREEN_WIDTH*SCREEN_HEIGHT*2, 0xb8000);
}

void deinitio()
{ textmode(LASTMODE);
  clrscr();
}

char readchar()
{ return getch();
}

void placecursor(int x, int y)
{ ScreenSetCursor(y, x);
}
#endif
