#include "io.h"
#include "map.h"
#include "messages.h"
#include "misc.h"
#include "monster.h"
#include "objects.h"
#include "player.h"
#include "ticks.h"

#define BANNER "Rolf v0.0 by Jim Crawford (pfister_@hotmail.com)"

int main()
{ seedrandom();
  initobjprobs();
  initmonprobs();

  createplayer();
  changelevel(1, 0, 2, STAIRWAY_UP);

  initio();

  pline(BANNER);
  while(playerinput() && gameticks(you.speed));

  pline("Press a key to quit.");
  readchar();

  deinitio();

  return 0;
}
