#ifndef _MISC_H
#define _MISC_H

typedef struct
{ int x, y;
} coord;

typedef struct
{ int count, sides, offset;
} die;

#define BUFSZ 256
#define swap(a, b) ((a)^=(b), (b)^=(a), (a)^=(b))

void *zmalloc(int size);
void *zcalloc(int count, int size);
void zfree(void *p);

int randint(int max);
void seedrandom();
int sgn(int);
int distance(coord start, coord dest);
int roll(die d);

#endif
