#ifndef _MNSTRUCT_H
#define _MNSTRUCT_H

#include "misc.h"
#include "obstruct.h"

struct i_slot
{ int type;
  obj *wearing;
  struct i_slot *next;
};

typedef struct i_slot islot;

struct monster_type
{ int type;
  coord where;
  int vision;
  int speed;
  int movetimeout;
  int hp, maxhp;
  int healtimeout, healspeed;
  int strength, dexterity, maxdexterity, intelligence;
  int protection;
  obj *inventory;
  islot *parts;
  struct monster_type *next;
  struct monster_type *prev;
};

typedef struct monster_type monster;

typedef struct
{ int class;
  char *name;
  die hp;
  int difficulty;
  int probability;
  int strength, dexterity, intelligence;
  int intrinsic_pv;
  int speed;
  int vision;
  int hearing;
  int attacks[6];
  char color, chr;
} mondef;

#endif
