#ifndef _OBJECTS_H
#define _OBJECTS_H

#include "misc.h"
#include "monster.h"
#include "obstruct.h"
#include "objlist.h"

#define WEAPON 0
#define ARMOR 1
#define FOOD 2

#define METAL 0
#define PAPER 1
#define FLESH 2
#define CLOTH 3
#define ITALIAN 4
#define VEGETABLE 5
#define RUBBER 6

#define ARTICLE_A 0
#define ARTICLE_AN 1
#define ARTICLE_SOME 2
#define ARTICLE_PAIR 3

obj *createobject(int type);
obj *addobjtotile(coord c, obj *o);
obj *addobjtomonster(monster *m, obj *o);
obj *removeobjfromtile(coord c, obj *o);
obj *removeobjfrommonster(monster *m, obj *o);
char *objname(obj *o);
char *Objname(obj *o);
char *the_objname(obj *o);
void listcontents(obj *o);
void initobjprobs();
int randobject();

extern char *classnames[3];

#endif
