#include "colors.h"
#include "monster.h"
#include "objects.h"

objdef objlist[]=
{
#define D_WEAPON(name, article, prob, weight, material, color) \
  { WEAPON, name, article, S_HAND, prob, weight, material, 0, 0, 0, \
    color, ')' }

  D_WEAPON("short sword", ARTICLE_A, 10, 100, METAL, CYAN),

#define D_ARMOR(name, article, slot, prob, weight, material, pv, dv, color) \
  { ARMOR, name, article, slot, prob, weight, material, pv, dv, 0, color, \
    '[' }

  D_ARMOR("party hat", ARTICLE_A, S_HEAD, 10, 5, PAPER, 0, 0, LIGHTRED),
  D_ARMOR("cowboy hat", ARTICLE_A, S_HEAD, 10, 10, CLOTH, 1, 0, BROWN),
  D_ARMOR("tuxedo", ARTICLE_A, S_BODY, 10, 40, CLOTH, 1, -1, DARKGREY),
  D_ARMOR("rubber gloves", ARTICLE_PAIR, S_GLOVES, 10, 10, RUBBER, 1, 0,
          YELLOW),
  D_ARMOR("polka-dotted necktie", ARTICLE_A, S_NECK, 10, 5, CLOTH, 0, -2,
          LIGHTMAGENTA),

#define D_FOOD(name, article, prob, weight, nut, material, color) \
  { FOOD, name, article, 0, prob, weight, material, nut, 0, 0, color, '%' }

  D_FOOD("meatball",  ARTICLE_A,    20, 1,   50, FLESH,   BROWN),
  D_FOOD("spaghetti", ARTICLE_SOME, 10, 5,  100, ITALIAN, RED),
  D_FOOD("lasagna",   ARTICLE_SOME,  5, 5,  100, ITALIAN, RED),
  D_FOOD("pizza",     ARTICLE_A,     5, 10, 100, ITALIAN, RED),
  D_FOOD("arctic circle-candy", ARTICLE_SOME, 2, 2, 500, VEGETABLE, YELLOW)
};
