#ifndef _MONSTER_H
#define _MONSTER_H

#include "map.h"
#include "mnstruct.h"
#include "monlist.h"

#define S_HEAD 1
#define S_HAND 2
#define S_FEET 3
#define S_BODY 4
#define S_FINGER 5
#define S_NECK 6
#define S_GLOVES 7
#define S_CLOAK 8

#define HUMANOID 0

monster *createmonster(int type, coord where);
void removemonster(monster *mn);
void movemonsters();
monster *addmonster(monster *mn);
monster *occupied(coord w);
int can_go(coord w);
char *slotname(int t);
char *Slotname(int t);
char *Monname(monster *mn);
char *monname(monster *mn);
void initmonprobs();
int randmonster(int level);

#endif
