#include "map.h"
#include "scent.h"

void addscent(coord w, int scent)
{ m->place[w.x][w.y].scent+=scent;
}

void blurscent()
{ int buffer[m->xsize][m->ysize];
  int iswalkable[m->xsize][m->ysize];
  int i, j;

  for(i=0; i<m->xsize; i++)
    for(j=0; j<m->ysize; j++)
    { iswalkable[i][j]=walkable((coord){ i, j });
      buffer[i][j]=(m->place[i][j].scent)*iswalkable[i][j];
    }

  for(i=1; i<m->xsize-1; i++)
    for(j=1; j<m->ysize-1; j++)
      if(iswalkable[i][j])
      { m->place[i][j].scent=
          (buffer[i][j]+buffer[i+1][j]+buffer[i-1][j]+
           buffer[i][j-1]+buffer[i][j+1])/
          (iswalkable[i+1][j]+
           iswalkable[i-1][j]+
           iswalkable[i][j-1]+
           iswalkable[i][j+1]+1)*255/256;
      }
}
